#ifndef PARA_METRIC_H
#define PARA_METRIC_H

#include "para_res.h"
#include "para_metric_res.h"

class ParaData:public QObject
{
  Q_OBJECT
 public:
  ParaData();
  ~ParaData();
  
  void start();
  void wait();
  void displayBuild();
  int  displayNGet() {return nToDisplayBuf;}
  void print();
 
 signals:
  void displaySend(float *display);
 
 public slots:
  void windowsDisplay();
 
 private:
  void init();
  void displayInit();
  
  ParaMetric *metric;
  ParaDeviceArray *mem,*cpu,*disk,*net;
  int nDevices;
  float *toDisplayBuf;
  int nToDisplayBuf;
};

#endif
