#ifndef PARA_METRIC_RES_H
#define PARA_METRIC_RES_H

#include <QThread>

#include "para_res.h"
#include "para_free_metric.h"

class ParaMetric:public QThread
{
  Q_OBJECT
 public:
  ParaMetric();
  ~ParaMetric();

  ParaDeviceArray *getDevice(int d);
 
 signals:
  void displayGet();
 
 public slots:
  void threadStop();
 
 protected:
  virtual void run();

 private:
  void initMetric();
  
  int nMemory,nCpu,nDisk,nNet;
  int nMemoryEvent,nCpuEvent,nDiskEvent,nNetEvent;
  bool loop;
  ParaFreeMetricMon *freeMetric;
  ParaDeviceArray *mem,*cpu,*disk,*net;
};

#endif
