#include "para_windows.h"

ParaWindows::ParaWindows()
{
  widget = new QWidget;
  host = new ParaGraph();
  data = new ParaData();
  setWindowTitleName("Paramon    http://www.paratera.com");
}

ParaWindows::~ParaWindows()
{
  delete widget;
  delete host;
  delete data;
}

void ParaWindows::setWindowTitleName(const char *name)
{
  strcpy(titleName,name);
}

void ParaWindows::windowsDisplay()
{
  host->setWindowTitle(titleName);
  host->setHost();
  host->setRealModelInit(data->displayNGet());
  data->start();
  widget->connect(data,SIGNAL(displaySend(float*)),host,SLOT(realModel(float*)));
  host->show();
}
